# Interface methods for submodule: OtsuThresholdImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import HistogramThresholdImageFilterProxy as _HistogramThresholdImageFilterProxy


# Interface methods for class: OtsuThresholdImageFilter
class OtsuThresholdImageFilterProxy(_HistogramThresholdImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetReturnBinMidpoint(self, _arg: bool) -> None:
		""""""
		...

	def GetReturnBinMidpoint(self) -> bool:
		""""""
		...

	def ReturnBinMidpointOn(self) -> None:
		""""""
		...

	def ReturnBinMidpointOff(self) -> None:
		""""""
		...

